// Scale all layers - version 1.0

// This script will scale all layers in the comp by the scale_factor, below.
// It rescales position and scale. This is particularly useful if you resize a
// comp, and want to scale all of your objects to fit it's new dimensions.

//      LAYER                                               PROPERTY                     CHANNEL
//      ------                                              ----------                     --------
// 1: doesn't matter                               doesn't matter               doesn't matter
// 2: doesn't matter                               doesn't matter               doesn't matter

scale_factor = 0.5;	// change this to your new scale factor
l = 1;
while (l <= num_layers) {	// loop over every layer

	value(l, position) = value(l, position) * scale_factor;
	value(l, scale) = value(l, scale) * scale_factor;

  l = l+1;
}
